Package ru.bitel.bgbilling.kernel.contract.label.common.service

# Interface ContractLabelService

public interface ContractLabelService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractCountByLabel(int labelId)`
  `List<Integer>`
  `getContractLabelIds(int contractId)`
  `ContractLabelItem`
  `getContractLabelTree()`
  `List<ContractLabelItem>`
  `getContractLabelTreeItemList(int contractId, boolean calcCount)`
  `List<ContractLabelItem>`
  `getContractLabelTreeItemListForUser(int userId)`
  Получение только тех меток, которые разрешены для данного пользователя
  `void`
  `removeContractLabelTreeItem(int contractLabelItemId)`
  `void`
  `setContractLabelIds(int contractId, List<Integer> contractLabelsIds)`
  `void`
  `setContractLabelTreeItemList(int contractId, List<ContractLabelItem> contractLabelItems)`
  `void`
  `syncLabelAndGroupContract(int contractId)`
  `void`
  `syncLabelAndGroupDirectory()`
  `int`
  `updateContractLabelTreeItem(ContractLabelItem contractLabelItem)`
  `void`
  `updateContractLabelTreeItems(List<ContractLabelItem> items)`

- ## Method Details

  - ### getContractLabelTreeItemListForUser

    List<ContractLabelItem> getContractLabelTreeItemListForUser(int userId) throws ru.bitel.bgbilling.common.BGException
    Получение только тех меток, которые разрешены для данного пользователя
    Parameters:
      `userId` - id пользователя
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractLabelTreeItemList

    List<ContractLabelItem> getContractLabelTreeItemList(int contractId, boolean calcCount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractLabelIds

    List<Integer> getContractLabelIds(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setContractLabelIds

    void setContractLabelIds(int contractId, List<Integer> contractLabelsIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setContractLabelTreeItemList

    void setContractLabelTreeItemList(int contractId, List<ContractLabelItem> contractLabelItems) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractLabelTreeItem

    int updateContractLabelTreeItem(ContractLabelItem contractLabelItem) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractLabelTreeItems

    void updateContractLabelTreeItems(List<ContractLabelItem> items) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### removeContractLabelTreeItem

    void removeContractLabelTreeItem(int contractLabelItemId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractLabelTree

    ContractLabelItem getContractLabelTree() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### syncLabelAndGroupDirectory

    void syncLabelAndGroupDirectory() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### syncLabelAndGroupContract

    void syncLabelAndGroupContract(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractCountByLabel

    int getContractCountByLabel(int labelId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`